#include <bits/stdc++.h>
using namespace std;
long long n,rez;
string s;
int main(){
    cin>>n;
    cin>>s;

    if(n<=26){
        cout<<0%(1000000000+7)<<endl;
    }

    else{
        for(int i=0;i<s.size()-1;i++){
            if(s[i]==s[i+1]){
                rez=2;
                break;
            }
        }

        if(rez==2){
            cout<<rez%(1000000000+7)<<endl;
        }
        else{
            rez=1;
            cout<<rez%(1000000000+7)<<endl;
        }
    }



return 0;}